import request from '@/utils/request';

// 密码登录
export const userLoginApi = (data) => {
	return request.post('/login/account', data, {
		noAuth: true
	});
}

// 微信登录
export const userLoginWeixinApi = (data) => {
	return request.post('/login/mnpLogin', data, {
		noAuth: true
	});
}

// 微信获取手机号
export const getMobileByMnpApi = (data) => {
	return request.post('/user/User/getMobileByMnp', data, {
		noAuth: true
	});
}

// 更新信息
export const loginUpdateUserApi = (data) => {
	return request.post('/login/updateUser', data);
}

// 添加地址
export const addressCreateApi = (data) => {
	return request.post('/user/address/create', data);
}

// 修改地址
export const addressEditApi = (data) => {
	return request.post('/user/address/edit', data);
}

// 删除地址
export const addressDeleteApi = (data) => {
	return request.post('/user/address/delete', data);
}

// 地址列表
export const addressListsApi = (data) => {
	return request.get('/user/address/lists', data);
}

// 地址详情
export const addressDetailApi = (data) => {
	return request.get('/user/address/detail', data);
}

// 自提点列表
export const merchantListApi = (data) => {
	return request.get('/merchant/merchant/lists', data);
}


// 充值
export const rechargeApi = (data) => {
	return request.post('/user/user/recharge', data);
}

// 商品访问记录
export const productLogApi = (data) => {
	return request.post('/user/UserVisit/productLog', data);
}

// 用户页面访问记录
export const htmlLogApi = (data) => {
	return request.post('/user/UserVisit/htmlLog', data);
}


// 用户页面访问记录
export const userInfoApi = (data) => {
	return request.post('/user/user/info', data);
}


// 充值规格
export const rechargeAmountApi = (data) => {
	return request.post('/user/user/rechange_amount', data);
}

// 会员账户统计
export const capitalCountAPi = (data) => {
	return request.post('/user/user/capital_count', data);
}


// 会员账户详情
export const chargeListApi = (data) => {
	return request.post('/user/user/capital_flow', data);
}

export const vipRechargeApi = (data) => {
	return request.post('/store/store/recharge', data);
}

export const reVipRechargeApi = (data) => {
	return request.post('/store/store/again_recharge', data);
}

export const rechargeCountApi = (data) => {
	return request.get('/store/store/recharge_count', data);
}

export const rechargeListsApi = (data) => {
	return request.get('/user/UserRecharge/lists', data);
}

export const updataOrderApi = (data) => {
	return request.get('/pay/wechatQuery', data);
}



export const getStoreByPhone = (data) => {
	return request.get('/store/Store/detail', data);
}


export const getStoreInfo = (data) => {
	return request.get('/config', data);
}

export const getUserLabel = (data) => {
	return request.get('/user_label/UserLabel/lists', data);
}

export const getUserShip = (data) => {
	return request.get('/user_ship/UserShip/lists', data);
}

export const getCreateLists = (data) => {
	return request.get('/store/store/create_lists', data);
}


export const getloginSms = (data) => {
	return request.post('/user/user/login_sms', data);
}

export const getReportingSms = (data) => {
	return request.post('/user/user/reporting_sms', data);
}